uvnc 1.1.0.0 beta + secureVNCplugin 2.3 didn work

Should you have problems with the DSM plugin, here's the place to look for help or report issues.

uvnc 1.1.0.0 beta + secureVNCplugin 2.3 didn work

Postby esc-ctrl » 2012-09-29 23:00

i am using unvc 1.1.0.0 beta + secureVNCplugin 2.3.0.0

when i use unvc 1.0.9.6.2 + secureVNCplugin it works all great !!!
---> i have no problems to set up a server and viewer with secureVNCplugin and encription and so on...
when i use unvc 1.1.0.0 + secureVNCplugin it would not work.

My problem:
when i set a passphrase in the secureVNCplugin and want to connect with the viewer to the server it would not work --> status from the viewer: password requested
and the pop-up window to enter the vnc authentication DID NOT pop up and 100% cpu usaged from the viewer prozess

What i found out:
when the passphrase is empty it work
when i use uvnc server 1.0.9.6.2 and the viewer 1.1.0.0 it works but the viewer tell me it not secure and can be hacked
when i use uvnc server 1.1.0.0 and the viewer 1.0.9.6.2 it works -- the pop up window to enter the vnc authentication pop up --> i enter the passphrase --> viewer tell me: server require a higher viewer version --> clear !! i just do it for testing

so why it works with out passphrase
so why it works with server 1.1.0.0 and viewer 1.0.9.6.2
so why it DOESNT WORKS wit server 1.1.0.0 and viewer 1.1.0.0

thanks for reply

esc-ctrl
esc-ctrl
 
Posts: 3
Joined: 2012-09-29 22:30

Re: uvnc 1.1.0.0 beta + secureVNCplugin 2.3 didn work

Postby Rudi De Vos » 2012-10-01 18:33

checking,
It seems that i also need to replace the old passphrase method.
Using the passphraze as part of the key isn't secure, can be brute forced hacked.

Bug will be solved for relaese.
Rudi De Vos
Admin & Developer
Admin & Developer
 
Posts: 5324
Joined: 2004-04-23 10:21


Return to DSM plugin

Who is online

Users browsing this forum: No registered users and 1 guest

cron